# Generated by Django 3.2.6 on 2021-08-10 09:42

import cms.fields
import cms.mixins
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Book',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50, verbose_name='Title')),
                ('publication_date', models.DateField(help_text='YYYY-mm-dd', null=True, verbose_name='Publicate on')),
                ('price', models.DecimalField(decimal_places=2, max_digits=5, verbose_name='Price, €')),
                ('pages', models.IntegerField(blank=True, null=True, verbose_name='Pages')),
                ('book_type', models.PositiveSmallIntegerField(choices=[(1, 'Hardcover'), (2, 'Paperback'), (3, 'E-book')], default=3, verbose_name='Book type')),
                ('order', cms.fields.OrderField(blank=True, verbose_name='Order #')),
            ],
            options={
                'verbose_name': 'Book',
                'verbose_name_plural': 'Books',
                'db_table': 'book',
                'ordering': ['order'],
            },
            bases=(models.Model, cms.mixins.GetAbsoluteUrl),
        ),
        migrations.CreateModel(
            name='Lead',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='Slug')),
                ('title', models.CharField(max_length=100, verbose_name='Title')),
                ('username', models.CharField(max_length=90, verbose_name='User name')),
                ('email', models.EmailField(max_length=254, verbose_name='email')),
                ('date_sent', models.DateTimeField(blank=True, null=True, verbose_name='Date sent')),
                ('order', cms.fields.OrderField(blank=True, verbose_name='Order #')),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.book', verbose_name='Book')),
            ],
            options={
                'verbose_name': 'Lead',
                'verbose_name_plural': 'Leads',
                'db_table': 'lead',
                'ordering': ('order', '-date_sent'),
            },
            bases=(models.Model, cms.mixins.GetAbsoluteUrl),
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(blank=True, max_length=255, null=True, upload_to='files/', verbose_name='Filename')),
                ('uploaded_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='File uploaded at')),
                ('order', cms.fields.OrderField(blank=True, verbose_name='Order #')),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.book', verbose_name='Book')),
            ],
            options={
                'verbose_name': 'File',
                'verbose_name_plural': 'Files',
                'db_table': 'file',
                'ordering': ('order',),
            },
        ),
    ]
